using UnityEngine;

namespace NBC
{
    public interface IUIPanel
    {
        FairyGUI.GComponent ContentPane { get; }

        // string UILayer { get; }
        /// <summary>
        /// 模块id
        /// </summary>
        int Id { get; }

        bool IsTop { get; }
        bool IsShowing { get; }
        bool IsCanVisible { get; }
        bool IsDotDel { get; }
        

        bool IsModal { get; }

        bool IsShowCursor { get; }

        void SetUIManager(UIManager kit);
        void SetData(object args);
        object GetData();
        string[] GetDependPackages();
        void SetLanguage();

        void Init();
        void Show();
        void Hide();
        void Update();
        void HideImmediately();
        void Refresh();
        void Dispose();
    }
}